Bug 246237 - [NEW PORT] emulators/simh-hp2100: HP 2100 series emulator
Summary: [NEW PORT] emulators/simh-hp2100: HP 2100 series emulator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-05 19:42 UTC by bob
Modified: 2020-06-13 20:51 UTC (History)
1 user (show)

See Also:


Attachments
shar file containing the port files (6.70 KB, text/plain)
2020-05-05 19:42 UTC, bob
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bob 2020-05-05 19:42:58 UTC
Created attachment 214172 [details]
shar file containing the port files

This was previously part of the main SIMH system, but has been removed and re-engineered by a third party. It thus has to be a separate port.

Tested on 12.0, 12.1 and CURRENT.
Comment 1 bob 2020-05-05 19:46:25 UTC
Companion to emulators/hp3000 (reference PR 246238).
Comment 2 Kurt Jaeger freebsd_committer 2020-06-13 20:50:44 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2020-06-13 20:51:42 UTC
A commit references this bug:

Author: pi
Date: Sat Jun 13 20:50:42 UTC 2020
New revision: 538699
URL: https://svnweb.freebsd.org/changeset/ports/538699

Log:
  New port: emulators/simh-hp2100: HP 2100 series emulator

  hp2100 is a simulator for the HP 2116/15/14, 2100, and 1000 M/E/F-Series
  machines (hereafter referred collectively as the HP 2100 simulator). A
  large variety of CPU options, device interface cards, and peripherals
  are provided.

  WWW: http://simh.trailing-edge.com/hp/

  PR:		246237
  Submitted by:	Bob Eager <bob@eager.cx>

Changes:
  head/emulators/Makefile
  head/emulators/simh-hp2100/
  head/emulators/simh-hp2100/Makefile
  head/emulators/simh-hp2100/distinfo
  head/emulators/simh-hp2100/files/
  head/emulators/simh-hp2100/files/LICENSE
  head/emulators/simh-hp2100/files/hp2100.1.in
  head/emulators/simh-hp2100/pkg-descr
  head/emulators/simh-hp2100/pkg-plist